diff --git a/src/backend/commands/vacuum.c b/src/backend/commands/vacuum.c
index f0afeaf..016e411 100644
--- a/src/backend/commands/vacuum.c
+++ b/src/backend/commands/vacuum.c
@@ -108,9 +108,9 @@ ExecVacuum(ParseState *pstate, VacuumStmt *vacstmt, bool isTopLevel)
 
 		/* Parse options available on VACUUM */
 		else if (strcmp(opt->defname, "analyze") == 0)
-				params.options |= VACOPT_ANALYZE;
+			params.options |= VACOPT_ANALYZE;
 		else if (strcmp(opt->defname, "freeze") == 0)
-				params.options |= VACOPT_FREEZE;
+			params.options |= VACOPT_FREEZE;
 		else if (strcmp(opt->defname, "full") == 0)
 			params.options |= VACOPT_FULL;
 		else if (strcmp(opt->defname, "disable_page_skipping") == 0)
diff --git a/src/include/commands/vacuum.h b/src/include/commands/vacuum.h
index 77086f3..a8ca199 100644
--- a/src/include/commands/vacuum.h
+++ b/src/include/commands/vacuum.h
@@ -18,7 +18,6 @@
 #include "catalog/pg_class.h"
 #include "catalog/pg_statistic.h"
 #include "catalog/pg_type.h"
-#include "nodes/parsenodes.h"
 #include "storage/buf.h"
 #include "storage/lock.h"
 #include "utils/relcache.h"
